Subject: 26.0.50; font-lock-ensure changes the face of text buttons

From: Alexander Miller <[email-masked]>
Date: Mon, 25 Sep 2017 21:47:53 +0200

Steps to reproduce:

* emacs -q
* switch to a text-mode buffer
* Run (insert-text-button "AAAAAAAAAAA" 'face 'font-lock-constant-face)
* Run (font-lock-ensure)

The button's face will now have changed from font-lock-constant to button.
This only happens once, a second call to font-lock-ensure makes no such
changes.
Overlay buttons don't seem to be affected.

I also tested this on a self-compiled emacs 25.2.1, with the same result.

In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.19)
of 2017-09-15 built on a-laptop
Repository revision: 6e38b9253e3d67def0e16f90da574b4622d962a3
Windowing system distributor 'The X.Org Foundation